NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback

## 5.2. nvmlBAR1Memory_t Struct Reference

## [Device Structs]

BAR1 Memory allocation Information for a device

### Public Variables

unsigned long long bar1Free
  Unallocated BAR1 Memory (in bytes).
unsigned long long bar1Total
  Total BAR1 Memory (in bytes).
unsigned long long bar1Used
  Allocated Used Memory (in bytes).

### Variables

unsigned long long nvmlBAR1Memory_t::bar1Free [inherited]

  Unallocated BAR1 Memory (in bytes).

unsigned long long nvmlBAR1Memory_t::bar1Total [inherited]

  Total BAR1 Memory (in bytes).

unsigned long long nvmlBAR1Memory_t::bar1Used [inherited]

  Allocated Used Memory (in bytes).

NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback